﻿<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="SingleLineText.ascx.cs" Inherits="CheckboxWeb.Forms.Surveys.Controls.ItemRenderers.SingleLineText" %>
<%@ Register TagPrefix="ckbx" TagName="QuestionText" Src="~/Forms/Surveys/Controls/ItemRenderers/QuestionText.ascx" %>

<asp:Panel ID="_containerPanel" runat="server" CssClass="itemContainer">
    <script type="text/javascript">
        $(function () {
            if ($('#<%= _topAndOrLeftPanel.ClientID %>').hasClass('labelRight')) {
                var question = $('#<%= _textContainer.ClientID %>').find('.Question.itemNumber');
                if(question.length > 0) {
                    var margin = -$('#<%= _inputPanel.ClientID %>').width() - 5 + parseInt(question.css('margin-left').replace('px', ''));
                    question.css('margin-left', margin+'px');
                }
            }
<%if (_dateInput.Visible) { %>
            $('.datepicker').datepicker({
                showOn: 'both',
                buttonImageOnly: true,
                buttonImage: '<%=ResolveUrl("~/Resources/CalendarPopup.png")%>',
                buttonText: 'Calendar',
                dateFormat: '<%=DateFormat%>',
                changeMonth: true,
                changeYear: true,
                yearRange: "-125:+50",
        });
<% } %>
        });
    </script>

    <asp:Panel ID="_contentPanel" runat="server" CssClass="itemContent">
        <asp:Panel ID="_topAndOrLeftPanel" runat="server" CssClass="topAndOrLeftContainer">
            <asp:Panel ID="_textContainer" runat="server" CssClass="textContainer">
                <ckbx:QuestionText ID="_questionText" runat="server" />
            </asp:Panel>
        </asp:Panel>

        <asp:Panel ID="_bottomAndOrRightPanel" runat="server" CssClass="bottomAndOrRightContainer">
            <asp:Panel ID="_inputPanel" runat="server" CssClass="inputContainer">
                <asp:TextBox
                    ID="_textInput" 
                    runat="server" 
                    TextMode="SingleLine"
                />
                    
                <asp:TextBox
                    ID="_numericInput" 
                    runat="server"
                    TextMode="SingleLine"
                    Visible="false" />
                    
                <asp:TextBox
                    ID="_dateInput"
                    runat="server"
                    TextMode="SingleLine"
                    Visible="false"
                    CssClass="datepicker" />
                
                <asp:TextBox ID="_maskedInput" runat="server" Visible="false" />
            </asp:Panel>
        </asp:Panel>
    </asp:Panel>
</asp:Panel>

